openqa-server (5.1782486535.1bf71ec48-1~srv+1) unstable; urgency=medium

  * Update to new upstream version 5.1782486535.1bf71ec48.

 -- Philip Hands <phil@hands.com>  Fri, 03 Jul 2026 21:44:32 +0200

openqa-server (5.1777452029.e890e9cc5-3~srv+3) unstable; urgency=medium

  * d/copyright: add 2 missing license texts, and slight tidyage
  * t/43-cli-schedule.t: skip failing `async=1` test on i386

 -- Philip Hands <phil@hands.com>  Sun, 14 Jun 2026 17:14:42 +0200

openqa-server (5.1777452029.e890e9cc5-3~srv+2) unstable; urgency=medium

  * openqa-server: improve version suffix (e.g. ~srv+1)

 -- Philip Hands <phil@hands.com>  Wed, 10 Jun 2026 12:16:22 +0200

openqa-server (5.1777452029.e890e9cc5-3~srv1) unstable; urgency=medium

  * Standards-Version -> 4.7.4
  * copyright fixes prompted by:
    https://dfsg-new-queue.debian.org/reviews/openqa-server
  * openqa-server: Vcs-* -> debian/latest.server
  * fail build if debian/control{,.in} get out of sync

 -- Philip Hands <phil@hands.com>  Wed, 10 Jun 2026 11:20:15 +0200

openqa-server (5.1777452029.e890e9cc5-3~srv) unstable; urgency=medium

  * rename source package as `openqa-server` (see README.source)

    This is exactly the same source as for the `openqa` source package,
    except for the name change in the changelog and debian/control, and
    the fact that only the `openqa-server` and `openqa` binary packages
    are mentioned in debian/control.
    So while this is going via NEW, it is not really a new package.

    - it also introduces the idea of having '~srv' as a version suffix
      for the server versions, which is done to allow the release tags to
      reside in the same git repo as the client branch without clashing.

  * add a more useful Description for openqa transitional pkg
  * use /run rather than /var/run for ~_openqa-worker
  * reference _openqa-worker only in -worker pkg

 -- Philip Hands <phil@hands.com>  Mon, 08 Jun 2026 10:04:13 +0200

openqa-server (5.1777452029.e890e9cc5-2) unstable; urgency=medium

  * use generated debian/control to represent differences between the
    openqa and openqa-server source packages.
  * add client/server *.installed files to not-installed
  * skip generate-packed-assets for client builds

 -- Philip Hands <phil@hands.com>  Mon, 08 Jun 2026 01:49:54 +0200

openqa-server (5.1777452029.e890e9cc5-1) unstable; urgency=medium

  * Update to new upstream version 5.1777452029.e890e9cc5.
  * Enable source to be built in 2 styles (clients or server) so that we
    can have the server source package be permanently excluded from
    testing, while letting the client/worker/common packages into stable.
    The server package will also be available from debian-fastrack.

 -- Philip Hands <phil@hands.com>  Thu, 04 Jun 2026 08:45:29 +0200

openqa (5.1764349525.ffb594867-1) unstable; urgency=medium

  * Update to new upstream version 5.1764349525.ffb594867.
  * Avoid upstream MCP dependency (while it is not in Debian)

 -- Philip Hands <phil@hands.com>  Tue, 02 Dec 2025 16:33:31 +0100

openqa (5.1754383059.0426baa1d-3) unstable; urgency=medium

  [ Philip Hands ]
  * update to Standards-Version: 4.7.2
  * Recommend qemu-system-native (to avoid dragging in all archs)
  * switch to dpkg-query --list for worker package list

  [ Roland Clobus ]
  * Move openqa-cli.yaml to openqa-client (Closes: #1118588)

 -- Philip Hands <phil@hands.com>  Wed, 19 Nov 2025 13:20:33 +0100

openqa (5.1754383059.0426baa1d-2) unstable; urgency=medium

  * openqa-client: dep libgetopt-long-descriptive-perl (closes: #1115544)
  * recommend qemu-system (rather than qemu) (closes: #1116156)
  * depends: vde-switch (replacing obsolete vde2)
  * only create the server ('openqa') package for debian-fasttrack
    (see NEWS.Debian for more details)

 -- Philip Hands <phil@hands.com>  Sat, 18 Oct 2025 00:56:16 +0200

openqa (5.1754383059.0426baa1d-1~fto13+1) trixie-fasttrack; urgency=medium

  * rebuild for trixie-fasttrack

 -- Philip Hands <phil@hands.com>  Sat, 09 Aug 2025 14:16:46 +0200

openqa (5.1754383059.0426baa1d-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 5.1754383059.0426baa1d.
  * stop shipping deprecated client script (closes: #1110395)
  * openqa-cli lost its pod, so drop manpage creation

 -- Philip Hands <phil@hands.com>  Wed, 06 Aug 2025 23:09:36 +0200

openqa (5.1751519172.720c194b1-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 5.1751519172.720c194b1.
  * embed Roboto font (to avoid apache blocking symlinks)

 -- Philip Hands <phil@hands.com>  Thu, 03 Jul 2025 08:19:10 +0200

openqa (5.1750858025.b9f0656f0-1~fto12+2) bookworm-fasttrack; urgency=medium

  [ Philip Hands ]
  * avoid broken sorting caused by 'serverSide: true'

  [ Roland Clobus ]
  * openqa: depend on libtext-glob-perl

 -- Philip Hands <phil@hands.com>  Wed, 25 Jun 2025 21:55:27 +0200

openqa (5.1750858025.b9f0656f0-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 5.1750858025.b9f0656f0.

 -- Philip Hands <phil@hands.com>  Wed, 25 Jun 2025 19:10:22 +0200

openqa (4.6.1749835125.6b21a3a03-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 4.6.1749835125.6b21a3a03.

 -- Philip Hands <phil@hands.com>  Sun, 15 Jun 2025 16:25:34 +0200

openqa (4.6.1748615746.d50d8e243-1~fto12+2) bookworm-fasttrack; urgency=medium

  * openqa-common: depend: libfeature-compat-try-perl

 -- Philip Hands <phil@hands.com>  Sat, 14 Jun 2025 20:41:03 +0200

openqa (4.6.1748615746.d50d8e243-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 4.6.1748615746.d50d8e243.
  * openqa.install: add systemd/*/openqa-dump-db.*
  * apparmor: add Debian path for tesseract data

 -- Philip Hands <phil@hands.com>  Sat, 14 Jun 2025 16:30:19 +0200

openqa (4.6.1745831108.e60c89e32-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 4.6.1745831108.e60c89e32.
  * Build for bookworm-fasttrack.
  * salsa CI: build in a backport environment
  * fasttrack: ignore backport related test warnings

 -- Philip Hands <phil@hands.com>  Sat, 31 May 2025 20:04:18 +0200

openqa (4.6.1732034221.ae34b08ff-2) unstable; urgency=medium

  [ Roland Clobus ]
  * use Debian changelog to discover a version to show (closes: 1077069)

  [ Philip Hands ]
  * Remove cropper.css (it is unused)
  * avoid running tidy tests during build

 -- Philip Hands <phil@hands.com>  Tue, 08 Apr 2025 09:30:02 +0200

openqa (4.6.1732034221.ae34b08ff-1) unstable; urgency=medium

  [ Philip Hands ]
  * Update to new upstream version 4.6.1732034221.ae34b08ff.
  * ensure node-bootstrap provides libjs-bootstrap5 (closes: 1091155, 1091141)
  * install openqa-enqueue-git-auto-update
  * bootstrap now depends on popper2
  * add node-ace-builds depends
  * use the binary package version for the depends
  * switch to node_modules/_u_s_{nodejs,javascript} symlinks
  * apparmor updates

  [ Roland Clobus ]
  * Debian specific documentation

 -- Philip Hands <phil@hands.com>  Thu, 23 Jan 2025 11:47:03 +0100

openqa (4.6.1712926289.b0d689b52-2) unstable; urgency=medium

  * switch to patching assetpack.def for local assets
  * multi-dropdown-navbar is now bundled by upstream
  * libjs-cropper is not being used, so drop it

 -- Philip Hands <phil@hands.com>  Sun, 19 May 2024 11:58:55 +0200

openqa (4.6.1712926289.b0d689b52-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1712926289.b0d689b52.
  * add `geekotest` group (see README.Debian)
  * ensure that package builds twice (closes: #1049709)
  * apparmor: additional worker perms
  * use xtigervncviewer in VNC viewer example

 -- Philip Hands <phil@hands.com>  Thu, 25 Apr 2024 10:59:29 +0200

openqa (4.6.1700240294.34068e38e-2) unstable; urgency=medium

  * Build-Depends on systemd-dev (closes: 1060501)
  * limit build-deps for testing to <!nocheck>
  * avoid deprecation warnings regarding `spurt`

 -- Philip Hands <phil@hands.com>  Thu, 11 Apr 2024 08:33:02 +0200

openqa (4.6.1700240294.34068e38e-1.1) unstable; urgency=medium

  * Non maintainer upload
  * remove extraneous dependency on python3-future

 -- Alexandre Detiste <tchet@debian.org>  Tue, 23 Jan 2024 21:58:51 +0100

openqa (4.6.1700240294.34068e38e-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1700240294.34068e38e.
    (closes: #1049109)
  * move systemd files to /usr/lib
  * ensure that debian/rules also sed's nginx template

 -- Philip Hands <phil@hands.com>  Fri, 08 Dec 2023 22:01:49 +0100

openqa (4.6.1674490999.b00c12673-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Install tmpfiles and sysusers configuration into correct paths.

 -- Philip Hands <phil@hands.com>  Fri, 17 Feb 2023 14:12:14 +0100

openqa (4.6.1674490999.b00c12673-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1674490999.b00c12673.

 -- Philip Hands <phil@hands.com>  Wed, 25 Jan 2023 10:33:09 +0100

openqa (4.6.1668594742.66ecc7a70-2) unstable; urgency=medium

  * fix lintian script-not-executable

 -- Philip Hands <phil@hands.com>  Fri, 18 Nov 2022 23:49:10 +0100

openqa (4.6.1668594742.66ecc7a70-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1668594742.66ecc7a70.
  * switch to dgit-debrebase workflow, and reconstruct separate patches

 -- Philip Hands <phil@hands.com>  Thu, 17 Nov 2022 11:14:56 +0100

openqa (4.6.1653336570.10bff0d-3) unstable; urgency=medium

  * bump Standards-Version
  * depend libcpanel-json-xs-perl & libmoose-perl (closes: 1019920)
  * lintian tidyage

 -- Philip Hands <phil@hands.com>  Mon, 10 Oct 2022 20:28:51 +0200

openqa (4.6.1653336570.10bff0d-1) unstable; urgency=medium

  * New upstream release.

 -- Philip Hands <phil@hands.com>  Tue, 24 May 2022 21:07:23 +0200

openqa (4.6.1648473912.da11be7-1) unstable; urgency=medium

  * Create and install manpages
  * openqa-label-all now uses openqa-cli
  * openqa-cli requires Time::Moment
  * adjust self-references in openqa-*-templates(1)
  * New upstream release.
  * disable shepherd.js tour (until shepherd.js is packaged)

 -- Philip Hands <phil@hands.com>  Mon, 23 May 2022 17:39:08 +0200

openqa (4.6.1640268275.25ac0d7-2) unstable; urgency=medium

  * openqa-client should be Architecture: all

 -- Philip Hands <phil@hands.com>  Sat, 01 Jan 2022 09:55:52 +0100

openqa (4.6.1640268275.25ac0d7-1) unstable; urgency=medium

  * New upstream release.
  * openqa-common: depend on libfilesys-df-perl
  * fix lintian JS overrides
  * using packaged bootstrap4 breaks scrollbar text alignment: add padding
  * install systemd files under /lib so that dh_installsystemd notices them
  * use execute_(before|after)_dh_* in rules
  * deal with dh_missing errors
  * postinst chmod renders lintian-override redundant
  * ensure that missing assets result in failure
  * node-jquery-ujs 1.2.3-1: rails.js --> /usr/share

 -- Philip Hands <phil@hands.com>  Fri, 31 Dec 2021 22:34:51 +0100

openqa (4.6.1632930736.2895850-1) unstable; urgency=medium

  * Initial release (Closes: #840253)

 -- Philip Hands <phil@hands.com>  Thu, 30 Sep 2021 20:13:08 +0200
